> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getyardo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get carrier claim details (v2)



## OpenAPI

````yaml /generated/api-reference/openapi.json get /carrier-claims/{claimId}
openapi: 3.0.0
info:
  title: Yardo Public API
  description: >-
    Public and partner-facing Yardo API surface for carrier portal and driver
    check-in flows.
  version: 0.1.0
  contact: {}
servers: []
security: []
tags:
  - name: Carrier Portal
  - name: Public Check-In
paths:
  /carrier-claims/{claimId}:
    get:
      tags:
        - Carrier Portal
      summary: Get carrier claim details (v2)
      operationId: CarrierClaimsApiController_getClaim
      parameters:
        - name: claimId
          required: true
          in: path
          schema:
            type: string
        - name: carrierId
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````